<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 27/4/2018
 * Time: 8:16 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['correo']) && isset($_REQUEST['clave']) && isset($_REQUEST['apellido']) && isset($_REQUEST['nombre']) && isset($_REQUEST['telefono']) && isset($_REQUEST['tipoUsuario'])) {
            $validar  = R::findOne( 'usuario', ' correo = ? ', [ $_REQUEST['correo'] ] );
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominioData = $Valido->retornarDatos($creadoPor);
            $condominio = $condominioData["condominio_id"];
            if (is_null($validar)==TRUE){
                $usuario = R::dispense('usuario');
                $usuario->correo = $_REQUEST['correo'];
                $usuario->clave = $_REQUEST['clave'];
                $usuario->nombre = $_REQUEST['nombre'];
                $usuario->apellido = $_REQUEST['apellido'];

                if (isset($_REQUEST['direccion'])){
                    $usuario->direccion = $_REQUEST['direccion'];
                }else{
                    $usuario->direccion = '';

                }
                $usuario->telefono = $_REQUEST['telefono'];
                if (isset($_REQUEST['idPropiedad'])){
                    $usuario->idPropiedad = $_REQUEST['idPropiedad'];
                }else{
                    $usuario->idPropiedad = '';
                }
                $usuario->fechaRegistro = date('Y-m-d H:i:s');
                $usuario->fechaModificacion = date('Y-m-d H:i:s');
                $usuario->tipoUsuario = $_REQUEST['tipoUsuario'];
                $usuario->condominioId = $condominio;
                if(isset($_REQUEST['idEmpresa'])){
                    $usuario->empresaId = $_REQUEST['idEmpresa'];
                }
                $usuario->fotoPerfil = "http://como-encontrar-parejas.es/wp-content/uploads/foto-de-perfil.jpg";
                $usuario->estado = 1;
                $id = R::store($usuario);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}